Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7372 - Printtool breaks with gs-5.50
Summary: Printtool breaks with gs-5.50
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL: http://people.redhat.com/bero/experim...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-27 06:17 UTC by Bill Anderson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-28 15:24:04 UTC


Attachments (Terms of Use)

Description Bill Anderson 1999-11-27 06:17:17 UTC
Upon upgrading to ghostcript-5.50, printtool fails when attempting to
select a print filter I get a non-passable error.
Stack Trace:


can't read "printerdb_descr2entry()": no such element in array
    while executing
"set pentry $printerdb_descr2entry([$printer get $index])"
    (procedure "LOCAL_select_printer_type" line 22)
    invoked from within
"LOCAL_select_printer_type $curent .sf.f1.list .sf.f2.text .sf.f3.list
.sf.f6.list .sf.f4.list $CBasc2ps"
    (procedure "LOCAL_select_filter" line 441)
    invoked from within
"LOCAL_select_filter .e.v10"
    invoked from within
".e.autofilter invoke"
    ("uplevel" body line 1)
    invoked from within
"uplevel #0 [list $w invoke]"
    (procedure "tkButtonUp" line 8)
    invoked from within
"tkButtonUp .e.autofilter"
    (command bound to event)

Comment 1 Bernhard Rosenkraenzer 1999-11-28 15:24:59 UTC
You almost certainly messed up your ghostscript 5.50 compilation (i.e. installed
its files to the wrong places).
Try the semi-official ghostscript 5.50 RPM for Red Hat Linux at <a
href="http://people.redhat.com/bero/experimental">http://people.redhat.com/bero/experimental/</a>.


Note You need to log in before you can comment on or make changes to this bug.